net.minecraft.client.texturepacks

## Interface ITexturePack

- All Known Implementing Classes:
    TexturePackCustom, TexturePackDefault, TexturePackFolder, TexturePackImplementation

      public interface ITexturePack

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindThumbnailTexture(RenderEngine renderengine)` Bind the texture id of the pack's thumbnail image, loading it if necessary.
    `void` | `deleteTexturePack(RenderEngine renderengine)` Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
    `boolean` | `func_94179_g()`
    `InputStream` | `func_98137_a(String s, boolean flag)`
    `boolean` | `func_98138_b(String s, boolean flag)`
    `String` | `getFirstDescriptionLine()` Get the first line of the texture pack description (read from the pack.txt file)
    `InputStream` | `getResourceAsStream(String s)` Gives a texture resource as InputStream.
    `String` | `getSecondDescriptionLine()` Get the second line of the texture pack description (read from the pack.txt file)
    `String` | `getTexturePackFileName()` Get the file name of the texture pack, or Default if not from a custom texture pack
    `String` | `getTexturePackID()` Get the texture pack ID

- - ### Method Detail

    - #### deleteTexturePack

          void deleteTexturePack(RenderEngine renderengine)

      Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.

    - #### bindThumbnailTexture

          void bindThumbnailTexture(RenderEngine renderengine)

      Bind the texture id of the pack's thumbnail image, loading it if necessary.

    - #### func_98137_a

          InputStream func_98137_a(String s,
                                 boolean flag)
                                   throws IOException

      Throws:
        `IOException`

    - #### getResourceAsStream

          InputStream getResourceAsStream(String s)
                                          throws IOException

      Gives a texture resource as InputStream.
      Throws:
        `IOException`

    - #### getTexturePackID

          String getTexturePackID()

      Get the texture pack ID

    - #### getTexturePackFileName

          String getTexturePackFileName()

      Get the file name of the texture pack, or Default if not from a custom texture pack

    - #### getFirstDescriptionLine

          String getFirstDescriptionLine()

      Get the first line of the texture pack description (read from the pack.txt file)

    - #### getSecondDescriptionLine

          String getSecondDescriptionLine()

      Get the second line of the texture pack description (read from the pack.txt file)

    - #### func_98138_b

          boolean func_98138_b(String s,
                             boolean flag)

    - #### func_94179_g

          boolean func_94179_g()